package com.gyee.cache.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-05-24
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("PROJECT")
public class Project extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private String id;

    @TableField("CODE")
    private String code;

    @TableField("NAME")
    private String name;

    @TableField("ANAME")
    private String aname;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("CAPACITY")
    private BigDecimal capacity;

    @TableField("CAPACITYUNIT")
    private String capacityunit;

    @TableField("QUANTITY")
    private BigDecimal quantity;

    @TableField("MODEL")
    private String model;

    @TableField("COMMISSIONDATE")
    private Date commissiondate;

    @TableField("MASTERPHONE")
    private String masterphone;

    @TableField("SHIFTFOREMAN")
    private String shiftforeman;

    @TableField("SHIFTFOREMANPHONE")
    private String shiftforemanphone;

    @TableField("ORDERNUM")
    private BigDecimal ordernum;


}
