package com.gyee.cache;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.gyee.cache.model.auto.Windpowerstationtestingpoint2;
import com.gyee.cache.output.WindPowerStationTestingPoint2;
import com.gyee.cache.redis.RedisService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.autoconfigure.EnableAutoConfiguration;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.Map;

@RunWith(SpringRunner.class)
@EnableAutoConfiguration(exclude={DataSourceAutoConfiguration.class})
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class CacheApplicationTests {
    @Resource
    private RedisService redisService;


    @Test
    public  void testRedis() {
        String lnString = redisService.get("LN");
        Map<String, Map<String, Windpowerstationtestingpoint2>> stringMapMap = JSONObject.parseObject(lnString, new TypeReference<Map<String, Map<String, Windpowerstationtestingpoint2>>>() {});

        Map<String, Map<String, WindPowerStationTestingPoint2>> stringMapMapm = JSONObject.parseObject(lnString, new TypeReference<Map<String, Map<String, WindPowerStationTestingPoint2>>>() {});


    }



}
