package com.gyee.datacenter.model.auto;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 
 * </p>
 *
 * @author 谢生杰
 * @since 2021-05-13
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("DATACENTER")
public class Datacenter extends Model {

    private static final long serialVersionUID = 1L;

    @TableId("ID")
    private Long id;

    @TableField("TABLEID")
    private String tableid;

    @TableField("TABLENAME")
    private String tablename;

    @TableField("WINDPOWERSTATIONID")
    private String windpowerstationid;

    @TableField("ORDERNO")
    private BigDecimal orderno;

    @TableField("SPARE1")
    private String spare1;

    @TableField("SPARE2")
    private String spare2;

    @TableField("SPARE3")
    private String spare3;


}
