package com.gyee.datacenter.util;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import lombok.Data;

/**
 * @ClassName : PageDTO
 * @Author : xieshengjie
 * @Date: 2021/5/16 17:20
 * @Description : 分页
 */
@Data
public class PageDTO {
    /**
     * 每页显示的条数
     */
    private int limit = 100;

    /**
     * 当前页
     */
    private int page = 1;

    /**
     * 是否分页 true 分页  false 不分页
     */
    private boolean isPage = true;

    public Page page()  {
        if (!this.isPage) {
            this.limit = -1;
        }
        return new Page(this.page, this.limit);
    }


}
